> For the complete documentation index, see [llms.txt](https://apidocs.cloudinvoice.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.cloudinvoice.net/documentacao-api/produtos/stock/get-geral.md).

# Get - Geral

## &#x20;Obter Stock Geral de Produto

## Obter Informação do Stock Geral de um Produto a partir do seu :id.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/products/:id/stocks/`

#### Path Parameters

| Name                                 | Type    | Description                   |
| ------------------------------------ | ------- | ----------------------------- |
| id<mark style="color:red;">\*</mark> | integer | O ID do produto que pretende. |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/products/:id/stocks/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

```json
{
    "id": 1,
    "code": "PROD1",
    "do_stock_management": true,
    "can_have_negative_stock": true,
    "physical_qty": 10.0,
    "cust_ordered_qty": 1.0,
    "supp_ordered_qty": 0.0,
    "total_entry_qty": 16.0,
    "total_exit_qty": 6.0,
    "cust_consigned_qty": 0.0,
    "supp_consigned_qty": 0.0,
    "supp_avail_consigned_qty": 0.0,
    "available_qty": 9.0
}
```

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](/introducao/exemplos-de-pedidos.md)
